## packeth 1.4.1

=== Makefile ===
# packETH - ethernet packet generator
# By Miha Jemec <m.jemec@iskratel.si>
# Copyright 2003 Miha Jemec, Iskratel

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

# Makefile for building packETH

SHELL = /bin/sh
prefix = /usr/local
includedir = /usr/src/include

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PREFIX = /usr/local

CC = gcc
CPPFLAGS =  -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include 
LDFLAGS = 
CFLAGS = -g -O2 -Wall -Wunused -Wmissing-prototypes -Wmissing-declarations 
#LIBS = -L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk -lglib -lXi -lXext -lX11 -lm -lpthread -lgthread
LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0 -lpthread -lgthread-2.0

SOURCES = \
	main.c \
	support.c support.h \
	interface.c interface.h \
	callbacks.c callbacks.h \
	function.c function.h \
	function_send.c function_send.h \
	function_support.c \
	loadpacket.c loadpacket.h \
	igmp.c \
	savepacket.c savepacket.h

OBJECTS =  main.o support.o interface.o callbacks.o function_send.o function.o loadpacket.o savepacket.o 

PROGRAM = packETH

COMPILE = $(CC) $(CFLAGS) $(CPPFLAGS)

all: $(PROGRAM)

$(PROGRAM): $(OBJECTS)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJECTS) $(LIBS) -o $@

%.o: %.c
	$(COMPILE) -c $<

install: $(PROGRAM)
	cp $(PROGRAM) $(INSTALL_PREFIX)/bin/$(PROGRAM)
	if [ ! -d $(INSTALL_PREFIX)/share/pixmaps/$(PROGRAM) ]; then mkdir -p $(INSTALL_PREFIX)/share/pixmaps/$(PROGRAM); fi
	cp pixmaps/* $(INSTALL_PREFIX)/share/pixmaps/$(PROGRAM)

clean:
	rm -f $(OBJECTS) $(PROGRAM)

## packeth 1.6

=== src/Makefile ===
# packETH - ethernet packet generator
# By Miha Jemec <m.jemec@iskratel.si>
# Copyright 2003 Miha Jemec, Iskratel

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

# Makefile for building packETH

SHELL = /bin/sh
prefix = /usr
includedir = /usr/src/include

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PREFIX = /usr

CC = gcc
CPPFLAGS =  -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include 
LDFLAGS = 
CFLAGS = -g -O2 -Wall -Wunused -Wmissing-prototypes -Wmissing-declarations 
#LIBS = -L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk -lglib -lXi -lXext -lX11 -lm -lpthread -lgthread
#LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0 -lpthread -lgthread-2.0
LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lgobject-2.0 -lglib-2.0 -lpthread -lgthread-2.0

SOURCES = \
	main.c \
	support.c support.h \
	interface.c interface.h \
	callbacks.c callbacks.h \
	function.c function.h \
	function_send.c function_send.h \
	function_support.c \
	loadpacket.c loadpacket.h \
	savepacket.c savepacket.h \
	headers.h

OBJECTS =  main.o support.o interface.o callbacks.o function_send.o function.o loadpacket.o savepacket.o 

PROGRAM = packETH

COMPILE = $(CC) $(CFLAGS) $(CPPFLAGS)

all: $(PROGRAM)

$(PROGRAM): $(OBJECTS)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJECTS) $(LIBS) -o $@

%.o: %.c
	$(COMPILE) -c $<

install: $(PROGRAM)
	$(INSTALL) $(PROGRAM) $(DESTDIR)/$(INSTALL_PREFIX)/bin/$(PROGRAM)
	if [ ! -d $(DESTDIR)/$(INSTALL_PREFIX)/share/pixmaps/$(PROGRAM) ]; then mkdir -p $(DESTDIR)/$(INSTALL_PREFIX)/share/pixmaps/$(PROGRAM); fi
	$(INSTALL_DATA) pixmaps/* $(DESTDIR)/$(INSTALL_PREFIX)/share/pixmaps/$(PROGRAM)

clean:
	rm -f $(OBJECTS) $(PROGRAM)

## packeth 1.6.2

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # packETH - ethernet packet generator
-# By Miha Jemec <m.jemec@iskratel.si>
+# By Miha Jemec <jemcek@gmail.com>
 # Copyright 2003 Miha Jemec, Iskratel
 
 # This program is free software; you can redistribute it and/or

## packeth 1.6.5

=== debian/changelog ===
packeth (1.6.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: added -fcommon to CFLAGS as a workaround
    to fix a FTBFS with GCC-10. (Closes: #957657)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 20 Aug 2020 15:05:18 -0300

packeth (1.6.5-2) unstable; urgency=low

  * Fix FTBFS because of wrong link order, thanks to Colin Watson
    (Closes: #641422)
  * Standards-Version bumped to 3.9.2, no changes needed
  * Bump debhelper compatibility to 8

 -- David Paleino <dapal@debian.org>  Tue, 13 Sep 2011 15:10:01 +0200

packeth (1.6.5-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - updated my email address
    - DMUA removed
    - bumped Standards-Version to 3.8.4 (no changes needed)
    - bumped debhelper dependency to >= 7.0.50~, to use
      overridden rules
    - removed Build-Dependency on quilt
  * debian/rules:
    - use dh7
    - rename /usr/bin/packETH to /usr/bin/packeth
  * debian/watch updated
  * debian/source/format: use 3.0 (quilt)
  * debian/patches/:
    - fix_pixmaps.patch removed, fixed upstream
    - fix_warnings.patch updated, and renamed to 01-fix_warnings.patch
    - fix_Makefile.patch removed, fixed in debian/rules
    - 02-fix_typo.patch added
  * debian/examples removed, no more available upstream
  * debian/packeth.1 manually rewritten, without using docbook sources
  * debian/copyright: point to the non-symlink license

 -- David Paleino <dapal@debian.org>  Thu, 04 Mar 2010 21:32:00 +0100

packeth (1.6.3-1) unstable; urgency=low

  * New upstream version
  * debian/rules rewritten to adapt to new source layout
    - debian/manpages added
    - debian/examples added
    - debian/dirs added
  * debian/control:
    - bumped quilt Build-Depends to >= 0.46-7~ (to use --with quilt in
      dh7)
    - Standards-Version bumped to 3.8.3 (no changes needed)
  * debian/patches/* refreshed to cleanly apply

 -- David Paleino <d.paleino@gmail.com>  Sat, 31 Oct 2009 21:27:00 +0100

packeth (1.6.2-3) unstable; urgency=low

  * debian/rules:
    - fix clean target, FTBFS because of cruft left in debian/
      (Closes: #515719)

 -- David Paleino <d.paleino@gmail.com>  Tue, 17 Feb 2009 12:30:30 +0100

packeth (1.6.2-2) unstable; urgency=low

  * Upload to unstable.

 -- David Paleino <d.paleino@gmail.com>  Sun, 15 Feb 2009 12:40:34 +0100

packeth (1.6.2-1) experimental; urgency=low

  * New Upstream Version
  * debian/copyright updated
  * debian/control:
    - setting DM-Upload-Allowed
  * Packaging switched to dh7

 -- David Paleino <d.paleino@gmail.com>  Sun, 01 Feb 2009 17:07:14 +0100

packeth (1.6-2) unstable; urgency=low

  * [67fe44f] Packaging converted to git: fixed Vcs-* urls accordingly
  * [dc4ed8d] Adding .desktop file
  * [a2b61db] Added menu file (Closes: #501384)
  * [dd20a8f] debian/rules updated
  * [e999125] debian/changelog updated
  * [bc31532] Added descriptions to the patches
  * [3a7c40c] Standards-Version bump to 3.8.0, debian/README.source
    added.
  * [2a748ea] Fixed menu section

 -- David Paleino <d.paleino@gmail.com>  Wed, 31 Dec 2008 16:03:20 +0100

packeth (1.6-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - "Ethernet" not capitalized in descriptions (Closes: #466497)
    - debhelper dependency bumped to 6 (also debian/compat)

 -- David Paleino <d.paleino@gmail.com>  Thu, 21 Feb 2008 10:42:00 +0100

packeth (1.5-2) unstable; urgency=low

  * debian/patches/fix_pixmaps.patch added (Closes: #465999)

 -- David Paleino <d.paleino@gmail.com>  Sat, 16 Feb 2008 11:14:37 +0100

packeth (1.5-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - updated Vcs-Svn and Vcs-Browser (were missing a "/trunk" at the end)
    - Standards-Version bumped to 3.7.3
  * debian/rules:
    - updated to fix new upstream source tree
  * debian/patches:
    - updated: upstream integrated the patches :)
    - added new patch to fix some GCC warnings  

 -- David Paleino <d.paleino@gmail.com>  Sat, 05 Jan 2008 12:32:24 +0100

packeth (1.4.1-3) unstable; urgency=low

  * Maintenance upload; no new features / bug fixes.
  * Using quilt as patch system now.
  * debian/control:
    - now the package is in collab-maint, added Vcs-Browser and Vcs-Svn
      fields
    - moving deprecated Homepage pseudo-field in the long description
      to the real one in the source stanza
    - wrapped Build-Depends
  * debian/rules:
    - using quilt now; adjusting targets
    - added new target (packeth.1) for offline static manpage generation
    - adding addresslist as example
    - minor changes
  * debian/packeth.1 is now generated offline, not by buildds. This will
    save some space for Build-Depends and building time on slower machines.
  * debian/manpage.xml moved to debian/packeth.xml
  * debian/dirs removed
  * debian/docs removed
  * debian/patches/fix_Makefile.patch: removing unused library linkings
    (keeping commented the old one, for any future reference)

 -- David Paleino <d.paleino@gmail.com>  Sat, 17 Nov 2007 16:46:15 +0100

packeth (1.4.1-2) unstable; urgency=low

  * Fixing cutting-out of "Send" button (Closes: #434129)
  * Fixing "debian-rules-ignores-make-clean-error" from lintian

 -- David Paleino <d.paleino@gmail.com>  Mon, 17 Sep 2007 13:18:15 +0200

packeth (1.4.1-1) unstable; urgency=low

  * Initial release (Closes: #332396)

 -- David Paleino <d.paleino@gmail.com>  Fri, 25 May 2007 19:30:39 +0200

=== debian/control ===
Source: packeth
Section: net
Priority: optional
Maintainer: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
 , libgtk2.0-dev
 , libatk1.0-dev
 , libcairo2-dev
 , libpango1.0-dev
 , libglib2.0-dev
Vcs-Browser: http://git.debian.org/?p=collab-maint/packeth.git
Vcs-Git: git://git.debian.org/git/collab-maint/packeth.git
Homepage: http://packeth.sourceforge.net
Standards-Version: 3.9.2

Package: packeth
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
Description: Ethernet packet generator
 packeth is a GUI packet generator tool for Ethernet.
 It allows you to create and send any possible packet
 or sequence of packets via Ethernet. It also
 supports the PCAP format, so you can load packets
 from any other program (i.e. wireshark).
 .
 You can create and send any Ethernet packet. The
 supported protocols are: Ethernet II, Ethernet
 802.3, 802.1q, QinQ, ARP, IPv4, UDP, TCP, ICMP,
 IGMP, RTP.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS = -Wall -g -Wall -Wunused -Wmissing-prototypes -Wmissing-declarations -fcommon
export LDFLAGS = -Wl,-z,defs -Wl,--as-needed

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/packeth/usr/bin/packETH \
	   $(CURDIR)/debian/packeth/usr/bin/packeth

%:
	dh $@

=== debian/watch ===
version=3
http://sf.net/packeth/packETH-(.*)\.tar\.gz
http://sf.net/packeth/packETH-(.*)\.tar\.bz

## packeth 2.1

=== debian/changelog ===
packeth (2.1-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * Drop unused code with x86 assembly (Closes: #1053312)

 -- Bastian Germann <bage@debian.org>  Sun, 01 Oct 2023 12:56:11 +0000

packeth (2.1-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version 2.1
    + d/watch: Search also without prefix
  * Only build the CLI tool (Closes: #967679)
    + d/install: Drop it to prevent the desktop file from being installed
    + d/docs: Install the cli/README (Closes: #863986)
    + Do not claim packeth to be a GUI program in man or package description
  * d/menu: Drop old file
  * d/copyright: Convert to machine-readable format
  * d/control:
    + Drop non-existing Vcs fields
    + Update to debhelper-compat 9

 -- Bastian Germann <bage@debian.org>  Wed, 20 Sep 2023 17:54:49 +0000

=== debian/control ===
Source: packeth
Section: net
Priority: optional
Maintainer: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper-compat (= 9)
Homepage: http://packeth.sourceforge.net
Standards-Version: 3.9.2

Package: packeth
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
Description: Ethernet packet generator
 packeth is a packet generator tool for Ethernet.
 It allows you to create and send any possible packet
 or sequence of packets via Ethernet. It also
 supports the PCAP format, so you can load packets
 from any other program (i.e. wireshark).
 .
 You can create and send any Ethernet packet. The
 supported protocols are: Ethernet II, Ethernet
 802.3, 802.1q, QinQ, ARP, IPv4, UDP, TCP, ICMP,
 IGMP, RTP.

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,17 @@
 export CFLAGS = -Wall -g -Wall -Wunused -Wmissing-prototypes -Wmissing-declarations -fcommon
 export LDFLAGS = -Wl,-z,defs -Wl,--as-needed
 
+override_dh_auto_clean:
+	cd cli && $(MAKE) clean
+	dh_auto_clean
+
+override_dh_auto_build:
+	cd cli && $(MAKE)
+
 override_dh_auto_install:
-	dh_auto_install
-	mv $(CURDIR)/debian/packeth/usr/bin/packETH \
+	cp -r pixmaps cli/
+	cd cli && $(MAKE) DESTDIR=$(CURDIR)/debian/packeth install
+	mv $(CURDIR)/debian/packeth/usr/bin/packETHcli \
 	   $(CURDIR)/debian/packeth/usr/bin/packeth
 
 %:

=== debian/watch ===
version=4
https://sf.net/packeth/ (packETH-)?(\d[^/]+)@ARCHIVE_EXT@

## packeth 3.0

=== cli/Makefile ===
# packETHcli - ethernet packet generator
# By Miha Jemec <jemcek@gmail.com>
# Copyright 2014 Miha Jemec, 

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

# Makefile for building packETHcli

SHELL = /bin/sh
prefix = /usr
includedir = /usr/src/include

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PREFIX = /usr

CC = gcc
CPPFLAGS =  

LDFLAGS = 
CFLAGS = -g -Wall -Wunused -Wmissing-prototypes -Wmissing-declarations -Werror
CFLAGS += -O3
LIBS =  -lm  -lpthread

SOURCES = cli_send.c parse_snort_rules.c

OBJECTS =  cli_send.o parse_snort_rules.o

PROGRAM = packETHcli

COMPILE = $(CC) $(CFLAGS) $(CPPFLAGS)

all: $(PROGRAM)

$(PROGRAM): $(OBJECTS)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJECTS) $(LIBS) -o $@

%.o: %.c
	$(COMPILE) -c $<

install: $(PROGRAM)
	$(INSTALL) $(PROGRAM) $(DESTDIR)/$(INSTALL_PREFIX)/bin/$(PROGRAM)
	if [ ! -d $(DESTDIR)/$(INSTALL_PREFIX)/share/pixmaps/$(PROGRAM) ]; then mkdir -p $(DESTDIR)/$(INSTALL_PREFIX)/share/pixmaps/$(PROGRAM); fi
	$(INSTALL_DATA) pixmaps/* $(DESTDIR)/$(INSTALL_PREFIX)/share/pixmaps/$(PROGRAM)

test:
	$(CC) $(CFLAGS) $(LDFLAGS) -DTEST_SNORT_RULE_PARSING parse_snort_rules.c -o parse_snort_rules

clean:
	rm -f $(OBJECTS) $(PROGRAM) *~ parse_snort_rules

=== debian/changelog ===
packeth (3.0-1) unstable; urgency=medium

  * Team upload.
    Closes: #1086687

  [ Andreas Tille ]
  * New upstream version
    Closes: #720189
  * Maintain package in Package Salvage team
  * Add Homepage (pointing to Github instead of outdated Sourceforge)
  * Point watch file to Github
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Build-Depends: pkgconf, libgtk-3-dev
  * Enable hardening options
  * Install desktop file
  * README is compressed - fix manpage accordingly
    Closes: #1069783
  * Drop redundant debian/README.source
  * Do not address bug #1086196 (packeth should include GUI version)
    yet but prepare installation and rules.  The reason is that the
    resulting package would require more dependencies and its probably
    better to have a separate binary package.
  * Review d/copyright
  * Provide manpage also for original name

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.
    Closes: #1059795

 -- Andreas Tille <tille@debian.org>  Mon, 04 Nov 2024 13:06:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,16 @@
 Source: packeth
 Section: net
 Priority: optional
-Maintainer: David Paleino <dapal@debian.org>
-Build-Depends:
- debhelper-compat (= 9)
-Homepage: http://packeth.sourceforge.net
-Standards-Version: 3.9.2
+Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
+Uploaders: David Paleino <dapal@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               pkgconf,
+               libgtk-3-dev
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/salvage-team/packeth
+Vcs-Git: https://salsa.debian.org/salvage-team/packeth.git
+Homepage: https://github.com/jemcek/packETH/
+Rules-Requires-Root: no
 
 Package: packeth
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_clean:
	cd cli && $(MAKE) clean
	dh_auto_clean

override_dh_auto_build:
	# dh_auto_build # uncomment this to fix bug #1086196
	dh_auto_build --sourcedirectory=cli

override_dh_auto_install: # drop this to fix bug #1086196
	dh_auto_build --sourcedirectory=cli

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/jemcek/packETH/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
